.386
.model flat, stdcall  ;32 bit memory model
option casemap :none  ;case sensitive

include test.inc

.code

start:

	invoke GetModuleHandle,NULL
	mov		hInstance,eax

    invoke InitCommonControls
	invoke DialogBoxParam,hInstance,IDD_DIALOG1,NULL,addr DlgProc,NULL
	invoke ExitProcess,0

;########################################################################

DlgProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
    LOCAL PAINSTR:PAINTSTRUCT
    LOCAL HDC1:HDC
    LOCAL hMemDC:HDC 

	mov		eax,uMsg
	.if eax==WM_INITDIALOG
		
		invoke GetDlgItem,hWin,1001
		mov	hstatic1,eax
		
		invoke GetDlgItem,hWin,1002
		mov	hstatic2,eax

		invoke LoadBitmap,hInstance,123
		mov hbitmap,eax

		invoke CreateSolidBrush,4cb122h
		mov mycolor,eax
		
	.elseif eax==WM_CTLCOLORSTATIC
		mov    edx,lParam

		.if edx==hstatic1
			mov    eax,mycolor
            ret
		.endif

	.elseif eax==WM_CLOSE
		invoke EndDialog,hWin,0

	.elseif eax==WM_PAINT

		invoke BeginPaint,hstatic2,addr PAINSTR 
   	    mov    HDC1,eax
      
   		invoke CreateCompatibleDC,HDC1
   		mov    hMemDC,eax
   		invoke SelectObject,hMemDC,hbitmap
		invoke BitBlt,HDC1,0,0,260,38,hMemDC,0,0,SRCPAINT
		invoke DeleteDC,hMemDC
	   	invoke EndPaint,hstatic2,addr PAINSTR



	.else
		mov		eax,FALSE
		ret
	.endif
	mov		eax,TRUE
	ret

DlgProc endp

end start
